#ifndef DIALDEMO_VERTICALLABEL_H
#define DIALDEMO_VERTICALLABEL_H

#include <QWidget>

class VerticalLabel : public QWidget
{
    Q_OBJECT
    Q_PROPERTY(QString text READ text WRITE setText)

public:
    VerticalLabel(const QString &text, QWidget *parent);

    void setText(const QString &newText);
    QString text() const;

    virtual QSize sizeHint() const;

protected:
    virtual void paintEvent(QPaintEvent *);

private:
    QString m_text;
};

#endif /* DIALDEMO_VERTICALLABEL_H */
